# Exhibitor Show Floors Exhibitor Show Floors ## Creates a new exhibitor show floor record that does not already exist. - [POST /exhibitorShowFloors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/createexhibitorshowfloor.md): This method will auto-generate an ID and create a new exhibitor show floor. If an ID is specified for the exhibitor show floor, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorShowFloors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_id - [GET /exhibitorShowFloors/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/listfloorsbyeventid.md): Returns a list of records with the specified event_id ## Returns a exhibitor show floor from the system by its ID. - [DELETE /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/deleteexhibitorshowfloor.md): This method will delete a exhibitor show floor with the specified ID. ## Returns a exhibitor show floor from the system by its ID. - [GET /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/getexhibitorshowfloor.md): This method will look up a exhibitor show floor by the specified ID and return it back. ## Partially updates a exhibitor show floor with the specified ID. - [PATCH /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/patchexhibitorshowfloor.md): This method will patch an existing exhibitor show floor with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor show floor with the specified ID. - [PUT /exhibitorShowFloors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-show-floors/updateexhibitorshowfloor.md): This method will update an existing exhibitor show floor with the specified ID.